Page Summary
-
The
lineItems.bulkListLineItemAssignedTargetingOptionsmethod lists assigned targeting options of a line item across targeting types. -
The HTTP request uses a GET method with the specified URL structure including advertiserId and lineItemId path parameters.
-
Query parameters like
pageSize,pageToken,orderBy, andfiltercan be used to control the results. -
The request body is empty and the response body contains a list of
assignedTargetingOptionsand anextPageToken. -
The method requires the
https://www.googleapis.com/auth/display-videoOAuth scope for authorization.
Lists assigned targeting options of a line item across targeting types.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/lineItems/{lineItemId}:bulkListLineItemAssignedTargetingOptions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser the line item belongs to. |
lineItemId |
Required. The ID of the line item to list assigned targeting options for. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Requested page size. The size must be an integer between |
pageToken |
A token that lets the client fetch the next page of results. Typically, this is the value of |
orderBy |
Field by which to sort the list. Acceptable values are:
The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: |
filter |
Allows filtering by assigned targeting option properties. Supported syntax:
Examples:
The length of this field should be no more than 500 characters. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"assignedTargetingOptions": [
{
object ( |
| Fields | |
|---|---|
assignedTargetingOptions[] |
The list of assigned targeting options. This list will be absent if empty. |
nextPageToken |
A token identifying the next page of results. This value should be specified as the |
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.